=== debian/changelog ===
feynmf (1.08-9) unstable; urgency=low

  * debian/control: add dependency for texlive-fonts-recommended
                    Thanks to Andreas Moog for the patch (Closes: #738079)
  * debian/control: remove obsolete DM-Upload-Allowed:
  * debian/control: standard changed to 3.9.5 (no changes)
  * debian/control: use dh 9

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Feb 2014 19:00:57 +0100

feynmf (1.08-8) unstable; urgency=low

  * debian/rules: build-arch and build-indep according to lintian
                  recommendation added (Closes: #653384)
  * debian/rules: explicit call to dh_quilt_* removed
  * debian/control: dependency on debhelper (>= 8.0.0)
  * debian/control: dependency on quilt removed

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 06 Jan 2012 18:21:57 +0100

feynmf (1.08-7) unstable; urgency=low

  * patch reworked (Closes: #643114)
  * debian/patches/series adapted to new patch
  * debian/rules: build-arch and build-indep target added
  * debian/control: standard changed to 3.9.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 28 Sep 2011 19:40:14 +0200

feynmf (1.08-6) unstable; urgency=low

  * new maintainer (Closes: #549245)
  * standards version changed to 3.9.0
  * debhelper compatibility level set to 7
  * debian/rules: dh_clean -k replaced by dh_prep
  * debian/copyright: point to GPL with version instead of simply GPL
  * debian/control: homepage added
  * debian/control: DM-Upload-Allowed added
  * debian/control: dependency on quilt added and modifications changed 
    to patches
  * debian/control: dependency on texlive-latex-recommended added, the new 
    fonts produce a nicer manual
  * debian/README.source added

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 08 Jul 2010 21:00:00 +0200

feynmf (1.08-5) unstable; urgency=low

  * Remove initial "-" from "make distclean" in debian/rules clean.
  * Change doc-base section to Science/Physics for doc-base sections update.
  * Bump Standards-Version to 3.7.3.
  * Edit debian/copyright to give copyright years and a pointer to the GPL v2.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 20 Mar 2008 14:21:41 -0700

feynmf (1.08-4) unstable; urgency=low

  * Remove now-obsolete teTeX dependencies in favor of TeXLive.  Fixes
    build failure discovered by Lucas Nussbaum.

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed,  2 May 2007 16:12:10 -0400

feynmf (1.08-3) unstable; urgency=medium

  * Make this package installable in parallel with TeXLive packages by
    adding alternate dependencies.  (Hence urgency medium, to get into
    testing faster.)  If no TeX packages are installed, TeXLive will now
    be preferred to satisfy dependencies.
  * Add Suggests: texlive-metapost | tetex-extra, and a note in the long
    description that one of these packages is required in order to use
    MetaPost.
  * Use dh_installtex instead of handwritten postinst/postrm scripts.
    Add Build-Depends-Indep on tex-common (>= 0.16).
  * Set $(TEXMFVAR) to $(CURDIR)/.texmf-var during build, as requested by
    the Debian TeX maintainers.  Take care of creating and removing this
    directory in the appropriate targets.
  * Split upstream README into a README and a ChangeLog file for purposes
    of having a standard Debian documentation setup.
  * Do not rename the upstream manual (manual.ps.gz), only the link to it
    (feynmf.ps.gz) for texdoc's use.
  * Fix "magnifincation" typo in feynmf.{dtx,pl}.
  * Bump Standards-Version to 3.7.2 (no changes).
  * Build-Depends: debhelper (instead of Build-Depends-Indep) to fix
    Lintian error.

 -- Kevin B. McCarty <kmccarty@debian.org>  Tue, 28 Nov 2006 09:41:29 -0500

feynmf (1.08-2) unstable; urgency=low

  * Add Build-Depends-Indep on tetex-extra for MetaPost.  (closes: #340890)

 -- Kevin B. McCarty <kmccarty@debian.org>  Sun, 27 Nov 2005 02:18:38 +0000

feynmf (1.08-1) unstable; urgency=low

  * Initial release.  (closes: #339513)

 -- Kevin B. McCarty <kmccarty@debian.org>  Wed, 16 Nov 2005 19:58:27 +0000
