=== debian/control ===
Source: feynmf
Section: tex
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 9.0.0)
Build-Depends-Indep: perl, tex-common (>= 0.16), texlive-latex-base, texlive-metapost, texlive-latex-recommended, texlive-fonts-recommended
Standards-Version: 3.9.5
Homepage: http://xml.web.cern.ch/XML/textproc/feynmf.html

Package: feynmf
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, texlive-latex-base, texlive-font-utils, texlive-extra-utils
Suggests: texlive-metapost
Description: set of LaTeX macros for creating Feynman diagrams
 FeynMF is a LaTeX package for easy drawing of professional-quality Feynman
 diagrams, illustrations that depict the fundamental interactions of subatomic
 particles.  The diagrams may be created using either the Metafont
 or MetaPost programs.  FeynMF lays out most diagrams satisfactorily from the
 structure of the graph without any need for manual intervention.
 Nevertheless all the power of Metafont or MetaPost is available for more
 obscure cases.
 .
 Note that you will need the texlive-metapost package in order to use the
 MetaPost-based version of FeynMF.
